using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Microsoft.WindowsMobile.PocketOutlook;
using Microsoft.WindowsMobile.Forms;


namespace Appointment_CS
{
    public partial class Form1 : Form
    {
        
        public Form1()
        {
            InitializeComponent();

            #if DEBUG
                MinimizeBox = false;
            #else       
                MinimizeBox = true;
            #endif
        }

        private void button1_Click(object sender, EventArgs e)
        {
            // Создаем встречу и устанавливаем детали
            Appointment appt = new Appointment();
            // Тема для встречи
            appt.Subject = "Встреча с тещей";
            // Время встречи - 8 марта 2009 в 22 часа
            appt.Start = new DateTime(2009, 03, 08, 22, 00, 00);
            // Продолжительность встречи - 3 минуты
            appt.Duration = new TimeSpan(00, 03, 00);
            // Использовать виброзвонок для напоминания
            appt.ReminderVibrate = true;
            // Повторять напоминание, пока пользователь не отреагирует
            appt.ReminderRepeat = true;

            // Создаем сессию Outlook
            //  добавляем встречу в папку встреч Outlook
            using (OutlookSession session = new OutlookSession())
            {
                session.Appointments.Items.Add(appt);
                session.Dispose();
            }
        }
    }
}